# List of Locker Sizes in a Locker Bank

This API operation returns all available locker sizes in the specified locker bank to help select an appropriate size for reservations.

Endpoint: GET /api/v1/lockerBanks/{lockerBankId}/lockers/sizes
Version: 1.0.0
Security: bearerAuth

## Path parameters:

  - `lockerBankId` (string, required)
    The unique identifier of the locker bank whose locker sizes you want to retrieve. Use the value returned by the `Get list of all locker banks` API.

## Response 200 fields (application/json):

  - `supportedSize` (array)
    The list of supported locker sizes in the locker bank.

  - `supportedSize.size` (string)
    The name of the locker size as used in LockerReservationRequest.
    Example: small

  - `supportedSize.uom` (string)
    The unit of measurement for the dimensions of the locker size.
    Example: in

  - `supportedSize.dimension` (object)

  - `supportedSize.dimension.length` (integer)
    The length of the locker in the specified unit of measurement.
    Example: 22.75

  - `supportedSize.dimension.width` (integer)
    The width of the locker in the specified unit of measurement.
    Example: 16.5

  - `supportedSize.dimension.height` (integer)
    The height of the locker in the specified unit of measurement.
    Example: 3.5

  - `supportedSize.total` (integer)
    The total number of locker units for this size.
    Example: 10

  - `supportedSize.available` (integer)
    The number of available locker units for this size.
    Example: 6

  - `supportedSize.accessible` (integer)
    The total number of accessible locker units available for this size for individuals with disabilities.
    Example: 2

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g., validation-error.
    Example: validation_error

  - `errorDescription` (string)
    HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: userId - value missing.

  - `additionalCode` (string)
    A unique identifier for the error, for example ILP10010, or ILP10030.
    Example: already_exists

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid data, or if the information is missing.
    Example: 674eb7b67b34d787400fa453

  - `additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.
    Example: The request could not be completed.

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
    Example: The request could not be completed.

